This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 187241 - Review Request: mboxgrep - Displays e-mail messages matching a pattern
Review Request: mboxgrep - Displays e-mail messages matching a pattern
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-29 09:48 EST by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 23:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-03-29 09:48:03 EST
Spec Name or Url: http://home.bawue.net/~ixs/mboxgrep/mboxgrep.spec
SRPM Name or Url: http://home.bawue.net/~ixs/mboxgrep/mboxgrep-0.7.9-2.src.rpm
Description:
mboxgrep is a small utility that scans a mailbox for messages matching a
basic, extended, or Perl-compatible regular expression. Selected
messages can be either displayed on standard output, counted, piped to a
command or written to another mailbox.
It supports mbox (both plain and compressed), MH, nnmh, nnml and maildir
folders.
Comment 1 Paul Howarth 2006-03-29 09:56:35 EST
Please change the Source URL to:

http://dl.sf.net/mboxgrep/mboxgrep-%{version}.tar.gz

This will avoid the mirror selection page and allow spectool to work.
Comment 2 Andreas Thienemann 2006-03-29 10:00:38 EST
Thx. Missed that. Updated at http://home.bawue.net/~ixs/mboxgrep/mboxgrep.spec
Comment 3 Jason Tibbitts 2006-05-03 00:03:17 EDT
Not much to say, really.
"BuildPrereq" needs to be changed to "BuildRequires"; this will quiet rpmlint.
Since it's just a simple change, I'll go ahead and approve and you can fix it
when you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible; text is included in the package.
* source files match upstream:
   4b256de164b8f094db9ccf0e6386d246  mboxgrep-0.7.9.tar.gz
   4b256de164b8f094db9ccf0e6386d246  mboxgrep-0.7.9.tar.gz-srpm
* latest version is being packaged.
X BuildPrereq is used instead BuildRequires, but the requirement are sane.
* package builds in mock (development, x86_64).
X rpmlint complains of BuildPrereq use.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check is not present; no test suite upstream.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* info files are present and installed correctly.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* scriptlets are sane.

APPROVED; fix the BuildPrereq: thing when you check in.
Comment 4 Andreas Thienemann 2006-05-03 23:15:17 EDT
Thx for the review -> NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.